VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsIni"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'***********************************************************************************************
'* Copyright (C) 2009 Dennis Hermanns
'*
'*    This program is free software: you can redistribute it and/or modify
'*    it under the terms of the GNU General Public License as published by
'*    the Free Software Foundation, either version 3 of the License, or
'*    (at your option) any later version.
'*
'*    This program is distributed in the hope that it will be useful,
'*    but WITHOUT ANY WARRANTY; without even the implied warranty of
'*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'*    GNU General Public License for more details.
'*
'*    You should have received a copy of the GNU General Public License
'*    along with this program.  If not, see <http://www.gnu.org/licenses/>.
'***********************************************************************************************

Option Explicit

Private File As String

'INI System Funktionen
Private Declare Function WritePrivateProfileString Lib "kernel32" Alias "WritePrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lsString As String, ByVal lplFilename As String) As Long
Private Declare Function GetPrivateProfileString Lib "kernel32" Alias "GetPrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As String, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Long, ByVal lpFileName As String) As Long

Private Sub Class_Initialize()
    File = mHelper.Project.BaseFilename & ".ExternalAction"
End Sub

Public Sub SaveIni(ByVal Key, ByVal Setting As String, ByVal Value As Variant)
    Call WritePrivateProfileString(Key, Setting, Value, File)
End Sub

Public Function GetIni(ByVal Key, ByVal Setting As String, ByVal Default As Variant) As Variant
    Dim temp As String * 1024

    Call GetPrivateProfileString(Key, Setting, Default, temp, Len(temp), File)
    GetIni = Mid(temp, 1, InStr(1, temp, Chr(0)) - 1)
End Function

Public Property Get FileName() As String
    FileName = File
End Property

Public Property Let FileName(ByVal pFileName As String)
    File = pFileName
End Property

Public Sub Reset()
    If FileExists(File) Then Kill File
End Sub
